﻿using System;
using System.Configuration;
using System.Web;
using System.Xml;
using System.Xml.Serialization;

namespace ASPItalia.com.Scripts.MultiLogin
{

	public class MultiLoginConfigSectionHandler : System.Configuration.IConfigurationSectionHandler
	{
		

		public object Create(object parent, object configContext, System.Xml.XmlNode section)
		{
			XmlSerializer ser = new XmlSerializer(typeof(MultiLoginConfig));

			XmlNodeReader reader = null;
			try
			{
				reader = new XmlNodeReader(section);

				// Deserializzo la sezione
				return (MultiLoginConfig)ser.Deserialize(reader);
			}
			finally
			{
				if (reader == null)
					reader.Close();
			}
		}

		
	}

	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="http://schemas.aspitalia.com/MultiLogin")]
	[System.Xml.Serialization.XmlRootAttribute("multiLogin",Namespace="http://schemas.aspitalia.com/MultiLogin", IsNullable=false)]
	public class MultiLoginConfig 
	{
    
		/// <remarks/>
		[System.Xml.Serialization.XmlElementAttribute("page")]
		public PageLoginType[] Page;
	}

	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute("pageLoginType",Namespace="http://schemas.aspitalia.com/MultiLogin")]
	public class PageLoginType 
	{
    
		/// <remarks/>
		[System.Xml.Serialization.XmlAttributeAttribute("path")]
		public string Path;
    
		/// <remarks/>
		[System.Xml.Serialization.XmlAttributeAttribute("loginUrl")]
		public string LoginUrl;
	}
}
